Форум русскоязычного сообщества Ubuntu


Автор Тема: Не могу обновить 10.04 до 10.10  (Прочитано 4461 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн asterisk

  • Автор темы
  • Любитель
  • *
  • Сообщений: 92
    • Просмотр профиля
Не могу обновить 10.04 до 10.10
« : 10 Октябрь 2010, 09:19:24 »
Приветствую, друзья.

Проблема в следующем - попытался обновится до 10.10 через update-manager -d .. запускается окно с предложением обновится, я соглашаюсь, инсталер делает изменения в источниках пакетов, обновляет их и потом сообщает следующее:

"Неверная информация о пакете

После обновления информации о пакетах нельзя больше найти необходимый пакет "ubuntu-minimal".
Это является серьёзной ошибкой. Сообщите, пожалуйста, об этой ошибке, связанной с пакетом "update-manager", и приложите файлы из /var/log/dist-upgrade/ к сообщению."
Решение из этой темы https://forum.ubuntu.ru/index.php?topic=72869 мне не помогло.
Запомните - каждый человек, которому вы ответили на форуме "гугл в помощь" - потенциальный "возвращенец" в win.

Оффлайн Упс

  • Старожил
  • *
  • Сообщений: 3231
    • Просмотр профиля
Re: Не могу обновить 10.04 до 10.10
« Ответ #1 : 10 Октябрь 2010, 10:03:33 »
Несколько часов не вытерпеть?
Читаем, ждём, и как только так сразу .. :)
https://forum.ubuntu.ru/index.php?topic=117179.0
« Последнее редактирование: 10 Октябрь 2010, 10:05:16 от Упс »
xUbuntu 12.04

Оффлайн smart__

  • Любитель
  • *
  • Сообщений: 77
    • Просмотр профиля
    • ООО "ИнфоЦентр"
Re: Не могу обновить 10.04 до 10.10
« Ответ #2 : 11 Октябрь 2010, 06:31:15 »
Простите, куда ведет последняя ссылка?!

Оффлайн Lived

  • Новичок
  • *
  • Сообщений: 11
    • Просмотр профиля
Re: Не могу обновить 10.04 до 10.10
« Ответ #3 : 11 Октябрь 2010, 09:41:30 »
У меня тоже не получилось обновится сегодня, помог вот такой способ:
Цитировать
Способ второй, консольный

В данном, консольном методе, обновления Ubuntu 10.04 до Ubuntu 10.10, всё не намного сложнее, если не проще. Он пригоден для серверов, так как те обычно, они не снабжены графическим интерфейсом, но так же, он подходит «гикам» которым нравится все делать через консоль, как мне :-)

1) Вам необходимо заменить все директивы файла /etc/apt/sources.list с «lucid» на «maverick», это очень просто:

sudo cp /etc/apt/sources.list /etc/apt/sources.list.MyBackup
sudo sed -i 's/lucid/maverick/g' /etc/apt/sources.list

2) Теперь обновляем список и запускаем обновление системы:

sudo aptitude update
sudo aptitude dist-upgrade

3) Устанавливаем менеджер обновлений и запускаем его:

sudo aptitude install update-manager-core
sudo do-release-upgrade -d

4) После того, как обновление завершится, сделайте рестарт системы:

sudo reboot

взято с http://www.linuxspace.org/archives/3333

Оффлайн Упс

  • Старожил
  • *
  • Сообщений: 3231
    • Просмотр профиля
Re: Не могу обновить 10.04 до 10.10
« Ответ #4 : 11 Октябрь 2010, 10:29:17 »
Простите, куда ведет последняя ссылка?!
Вела на страдания ожидающих. :)
После того как началась активная закачка тему перенесли из новостей.
https://forum.ubuntu.ru/index.php?topic=117158.0
https://forum.ubuntu.ru/index.php?topic=117220.0
xUbuntu 12.04

Оффлайн vitalis

  • Новичок
  • *
  • Сообщений: 6
    • Просмотр профиля
Re: Не могу обновить 10.04 до 10.10
« Ответ #5 : 13 Октябрь 2010, 18:52:21 »
Приветствую, друзья.

Проблема в следующем - попытался обновится до 10.10 через update-manager -d .. запускается окно с предложением обновится, я соглашаюсь, инсталер делает изменения в источниках пакетов, обновляет их и потом сообщает следующее:

"Неверная информация о пакете

После обновления информации о пакетах нельзя больше найти необходимый пакет "ubuntu-minimal".
Это является серьёзной ошибкой. Сообщите, пожалуйста, об этой ошибке, связанной с пакетом "update-manager", и приложите файлы из /var/log/dist-upgrade/ к сообщению."
Решение из этой темы https://forum.ubuntu.ru/index.php?topic=72869 мне не помогло.

ВСЁ НА МНОГО ПРОЩЕ
В настройках Менеджера обновлений в качестве источника выбери Основной сервер

просто не на всех зеркалах еще появился новый релиз

Оффлайн JohnnyBravo

  • Новичок
  • *
  • Сообщений: 2
    • Просмотр профиля
Re: Не могу обновить 10.04 до 10.10
« Ответ #6 : 26 Февраль 2011, 19:40:49 »
Приветствую, друзья.

Проблема в следующем - попытался обновится до 10.10 через update-manager -d .. запускается окно с предложением обновится, я соглашаюсь, инсталер делает изменения в источниках пакетов, обновляет их и потом сообщает следующее:

"Неверная информация о пакете

После обновления информации о пакетах нельзя больше найти необходимый пакет "ubuntu-minimal".
Это является серьёзной ошибкой. Сообщите, пожалуйста, об этой ошибке, связанной с пакетом "update-manager", и приложите файлы из /var/log/dist-upgrade/ к сообщению."
Решение из этой темы https://forum.ubuntu.ru/index.php?topic=72869 мне не помогло.

ВСЁ НА МНОГО ПРОЩЕ
В настройках Менеджера обновлений в качестве источника выбери Основной сервер

просто не на всех зеркалах еще появился новый релиз
Пробовал выставить такие настройки ещё до того как заглянул сюда, не помогло.

Пользователь решил продолжить мысль 27 Февраль 2011, 09:09:31:
У меня тоже не получилось обновится сегодня, помог вот такой способ:
Цитировать
Способ второй, консольный

В данном, консольном методе, обновления Ubuntu 10.04 до Ubuntu 10.10, всё не намного сложнее, если не проще. Он пригоден для серверов, так как те обычно, они не снабжены графическим интерфейсом, но так же, он подходит «гикам» которым нравится все делать через консоль, как мне :-)

1) Вам необходимо заменить все директивы файла /etc/apt/sources.list с «lucid» на «maverick», это очень просто:

sudo cp /etc/apt/sources.list /etc/apt/sources.list.MyBackup
sudo sed -i 's/lucid/maverick/g' /etc/apt/sources.list

2) Теперь обновляем список и запускаем обновление системы:

sudo aptitude update
sudo aptitude dist-upgrade

3) Устанавливаем менеджер обновлений и запускаем его:

sudo aptitude install update-manager-core
sudo do-release-upgrade -d

4) После того, как обновление завершится, сделайте рестарт системы:

sudo reboot

взято с http://www.linuxspace.org/archives/3333
Всё ОК, обновилась.
« Последнее редактирование: 27 Февраль 2011, 09:09:31 от JohnnyBravo »

 

Страница сгенерирована за 0.1 секунд. Запросов: 22.